Skip to main content
PUT
/
post
/
{postid}
Update a post
curl --request PUT \
  --url https://api.sleekplan.com/v1/post/{postid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "type": "<string>",
  "status": "<string>",
  "effort": 1,
  "owner_id": 123,
  "is_active": true,
  "merge_id": 123,
  "estimated": 123,
  "tags": [
    "<unknown>"
  ]
}
'
{
  "status": "<string>",
  "data": {
    "feedback_id": "<string>",
    "message": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sleekplan.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

postid
string
required

Body

application/json
title
string
description
string
type
string

Category ID.

status
string

Status ID.

effort
integer
Required range: 0 <= x <= 3
owner_id
integer

Admin user ID who owns this post.

is_active
boolean

Moderation flag. false to hide.

merge_id
integer

Post ID this post is merged into.

estimated
number
tags
any[]

Response

200 - application/json

OK

status
string
data
object